using System;
using System.Data;
using System.Data.OleDb;

using ShopCommon;

namespace Shop
{
	/// <summary>
	/// Summary description for User.
	/// </summary>
	public class User
	{
		/// <summary>
		/// Valida um login/password no sistema
		/// </summary>
		/// <param name="User">username de login na aplicao</param>
		/// <param name="Pass">password de login na aplicao</param>
		/// <returns>1 em caso de sucesso; 0 em caso de insucesso; -1 em caso de erro</returns>
		public ShopCommon.Status Validate(string User, string Pass)
		{
			ShopCommon.Status ret = ShopCommon.Status.INVALID_LOGIN;
			OleDbConnection conn = null;

			try
			{
				//
				// criar objecto de conexo  base de dados
				//
				conn = new OleDbConnection(Constantes.CONN_STRING);

				//
				// criar comando SQL a executar
				//
				OleDbCommand cmd = new OleDbCommand("Select * from Users where user='" + User + "' and pass='" + Pass + "'", conn);

				//
				// abrir a conexo
				//
				conn.Open();

				//
				// executar o comando e obter um DataReader
				//
				OleDbDataReader res = cmd.ExecuteReader();

				//
				// verificar se retornou dados 
				// ( necessrio manter a conexo aberta pois estamos a usar um DataReader)
				//
				if (res.HasRows)
					ret = ShopCommon.Status.OK;
				else
					ret = ShopCommon.Status.INVALID_LOGIN;
			}
			catch(OleDbException ex)
			{
				//
				// tratar a excepo!!!!
				//
				System.Console.WriteLine("EXCEPO no componente 'User': " + ex);
			}
			finally
			{
				//
				// fechar a conexo
				//
				conn.Close();
			}

			//
			// retornar valor
			//
			return ret;
		}
	}
}
